# Created by pyp2rpm-3.3.2
%global pypi_name PyWavelets
%global oname pywavelets

%bcond_with tests

Name:           python-%{oname}
Version:        1.2.0
Release:        %mkrel 2
Summary:        Python wavelet module
Group:          Development/Python
License:        None
URL:            https://pypi.org/project/PyWavelets/
Source0:        https://files.pythonhosted.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         pywavelets-1.0.3-linking.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-numpy-devel

# Documentation requirements
BuildRequires:  python3-pygments
BuildRequires:  python3-sphinx
BuildRequires:  python3-numpydoc
BuildRequires:  python3-matplotlib

%if %{with tests}
BuildRequires:  python3-nose
%endif

%description
PyWavelets is a Python wavelet transforms module that can do:

  * 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
  * 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
  * 1D and 2D Wavelet Packet decomposition and reconstruction
  * Computing Approximations of wavelet and scaling functions
  * Over seventy built-in wavelet filters and support for custom wavelets
  * Single and double precision calculations
  * Results compatibility with Matlab Wavelet Toolbox

%package -n     python3-%{oname}
Summary:        Python 3 wavelet module
Group:          Development/Python
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
PyWavelets is a Python 3 wavelet transforms module that can do:

  * 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
  * 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
  * 1D and 2D Wavelet Packet decomposition and reconstruction
  * Computing Approximations of wavelet and scaling functions
  * Over seventy built-in wavelet filters and support for custom wavelets
  * Single and double precision calculations
  * Results compatibility with Matlab Wavelet Toolbox


%package -n     python3-%{oname}-doc
Summary:        This package contains the HMTL documentation of %{name}
Group:          Documentation
BuildArch:      noarch

%description -n python3-%{oname}-doc
PyWavelets is a Python wavelet transforms module that can do:

  * 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
  * 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
  * 1D and 2D Wavelet Packet decomposition and reconstruction
  * Computing Approximations of wavelet and scaling functions
  * Over seventy built-in wavelet filters and support for custom wavelets
  * Single and double precision calculations
  * Results compatibility with Matlab Wavelet Toolbox

This Package contains the documentation of %{name} in HTML format.


%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Fix wrong-script-interpreter
find demo -name '*.py' -exec sed -i "s|#!/usr/bin/env python|#!%__python3|"  {} \;

%build
%py3_build

%install
%py3_install

# Create docs. These need the package to already be built and installed
PYTHONPATH="$PYTHONPATH:%{buildroot}%{python3_sitearch}" \
%__make -C doc SPHINXBUILD=sphinx-build-3 PAPER=letter html

# Remove hiden files
find doc/build/html -name '.*' -delete

%if %{with tests}
%check
export CFLAGS="%{optflags} -fno-strict-aliasing"
%{__python3} setup.py test
%endif

%files -n python3-%{oname}
%doc README.rst
%license LICENSE
%{python3_sitearch}/pywt/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python3-%{oname}-doc
%doc doc/build/html
%doc demo/


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1846175
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.2.0-1.mga9
+ Revision: 1778311
- version 1.2.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1707469
- new version: 1.1.1
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1532269
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1442304
- new version: 1.0.3
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 daviddavid <daviddavid> 1.0.1-2.mga7
+ Revision: 1355488
- build Py3 Wavelet documentation

* Sat Jan 12 2019 shlomif <shlomif> 1.0.1-1.mga7
+ Revision: 1355469
- pyp2rpm ; needed by new scikit-image

